<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PersonSelection_V5 StructType
 * @subpackage Structs
 */
class PersonSelection_V5 extends PersonSelection_V4
{
    /**
     * The IncludeMyTransicsInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeMyTransicsInfo;
    /**
     * The GenericFilter
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericFilter
     */
    public $GenericFilter;
    /**
     * Constructor method for PersonSelection_V5
     * @uses PersonSelection_V5::setIncludeMyTransicsInfo()
     * @uses PersonSelection_V5::setGenericFilter()
     * @param bool $includeMyTransicsInfo
     * @param \StructType\GenericFilter $genericFilter
     */
    public function __construct($includeMyTransicsInfo = null, \StructType\GenericFilter $genericFilter = null)
    {
        $this
            ->setIncludeMyTransicsInfo($includeMyTransicsInfo)
            ->setGenericFilter($genericFilter);
    }
    /**
     * Get IncludeMyTransicsInfo value
     * @return bool
     */
    public function getIncludeMyTransicsInfo()
    {
        return $this->IncludeMyTransicsInfo;
    }
    /**
     * Set IncludeMyTransicsInfo value
     * @param bool $includeMyTransicsInfo
     * @return \StructType\PersonSelection_V5
     */
    public function setIncludeMyTransicsInfo($includeMyTransicsInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeMyTransicsInfo) && !is_bool($includeMyTransicsInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeMyTransicsInfo, true), gettype($includeMyTransicsInfo)), __LINE__);
        }
        $this->IncludeMyTransicsInfo = $includeMyTransicsInfo;
        return $this;
    }
    /**
     * Get GenericFilter value
     * @return \StructType\GenericFilter|null
     */
    public function getGenericFilter()
    {
        return $this->GenericFilter;
    }
    /**
     * Set GenericFilter value
     * @param \StructType\GenericFilter $genericFilter
     * @return \StructType\PersonSelection_V5
     */
    public function setGenericFilter(\StructType\GenericFilter $genericFilter = null)
    {
        $this->GenericFilter = $genericFilter;
        return $this;
    }
}
